//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Web.UI.HtmlControls;

using CommunityServer.Components;
using CommunityServer.Discussions.Components;

namespace CommunityServer.Discussions.Controls
{
	/// <summary>
	/// Summary description for NntpLink.
	/// </summary>
	public class NntpLink : HtmlAnchor
	{
		protected CSContext csContext = CSContext.Current;

		protected override void CreateChildControls()
		{
			HtmlImage image = new HtmlImage();

			if (csContext.User.IsAnonymous || !Telligent.Registration.NntpServer.IsLicenseAvailable || Globals.IsNullorEmpty(csContext.SiteSettings.NntpServerLocation))
			{
				this.Visible = false;
				return;
			}

			image.Src = Globals.GetSiteUrls().NntpImage;
			image.Border = 0;
			image.Alt = ResourceManager.GetString("ViewThreads_Nntp");
			Controls.Add(image);

			base.HRef = ForumUrls.Instance().NntpInformation;
		}
	}
}
